t = 0:10:100;
V = vandermonde(t,1);
p = [.94 .96 1 1.05 1.07 1.09 1.14 1.17 1.21 1.24 1.28]';
b = V'*p;
a = (V'*V)\b;
fprintf('The regression line is %fx + %f\n',a(2),a(1));
abszero_approx = -a(1)/a(2);
fprintf('The approximation for absolute zero = %.4f\n',abszero_approx);
temp = [-300 100];
plot(t, p, 'o', temp, a(2)*temp + a(1));
xlabel('temperature (C)');
ylabel('pressure (atm)');
title('Extrapolation of Regression Line to Estimate Absolute Zero');
