format short;

u = [3 -1 2]';
Hu = eye(3) - 2*(u*u')/(u'*u);
disp('u =');
disp(u);
disp('Hu*u should be -u');
disp('Hu*u');
disp(Hu*u);
w = [-1 5 2]';
disp('w =');
disp(w);
disp('Let v = w - ((w''*u)/(u''*u))*u''');
v = w - ((w'*u)/(u'*u))*u;
disp('v =');
disp(v);
fprintf('v should be orthogonal to u, and v''*u = %g\n\n',v'*u);
c1 = (w'*u)/(u'*u);
c2 = (w'*v)/(v'*v);
disp('Let c1 = (w''*u)/(u''*u) and c2 = (w''*u)/(v''*v)');
disp('w = c1*u + c2*v` should be true, and');
fprintf('norm((c1*u + c2*v)-w) = %g\n',norm((c1*u + c2*v)-w));
disp('Hu*w should be -c1*u + c2*v');
disp('Hu*w =');
disp(Hu*w);
disp('-c1*u + c2*v =');
disp(-c1*u + c2*v);
disp('Hu is an orthogonal matrix.\n');
disp('Hu''*Hu =');
disp(Hu'*Hu);
disp('Hu^2 should equal I, so that Hu is its own inverse.');
disp('Hu^2 =');
disp(Hu^2);
z = [-1 -1 1]';
disp('z =');
disp(z);
disp('is orthogonal to u');
fprintf('z''*u = %g\n',z'*u);
disp('Hu*z should be z.');
disp('Hu*z =');
disp(Hu*z);
