A = [1 4 -1;2 -1 5;1 0 3];

L = tril(A,-1);
D = diag(diag(A));
U = triu(A,1);

BGS = -inv(L+D)*U;
disp('BGS =');
disp(BGS);
rho_BGS = max(abs(eig(BGS)));
fprintf('spectral radius of BGS = %g\n',rho_BGS);

BJ = -inv(D)*(L+U);
disp('BJ =');
disp(BJ);
rho_BJ = max(abs(eig(BJ)));
fprintf('spectral radius of BJ = %g\n',rho_BJ);
