f = @(x,y) 20*pi^2*sin(2*pi*x).*sin(4*pi*y);
g = @(x,y) sin(2*pi*x).*sin(4*pi*y);
solution = @(x,y) sin(2*pi*x).*sin(4*pi*y);
n = 100;
h = 1.0/100;
omega = 1/(1 + sin(pi*h));
tol = 1.0e-6;
numiter = 1000;
[x, y, u] = sorpoisson(n,f,g,omega,tol,numiter);

figure(2);
[X,Y] = meshgrid(0:1/100:1,0:1/100:1);
Z = solution(X,Y);
surf(X',Y',Z);
title('sin(2\pix)sin(4\piy)');
xlabel('x');
ylabel('y');
