format long;

A = gallery(5);
E = eigb(A);
disp('The eigenvalues of A are');
disp(E);

c = eigcond(A);
disp('The condition numbers of the eigenvalues are');
disp(c);

fprintf('The rank of A is %d\n',rank(A));
S = singvals(A,1.0e-15);
fprintf('The smallest singular value of A is %.15e\n',S(5));
fprintf('max(size(A))*eps(norm(A)) = %.5e\n',max(size(A))*eps(norm(A)));
