x = @(t) -0.64286*exp(-2*t).*[-1 1] - 0.079365*exp(-9*t).*[2/5 1] +...
         [-0.61111 0.72222];
t = (0:.07:2)';
n = length(t);
Y = zeros(n,3);
for i = 1:n
   X = x(t(i));
   Y(i,1) = X(1);
   Y(i,2) = X(2);
   Y(i,3) = X(1) + X(2);
end
plot(t,Y(:,1),'k',t,Y(:,2),'k--',t,Y(:,3),'k:','LineWidth',2);
xlabel('t');
ylabel('x_i(t)');
legend('x_1(t)','x_2(t)','x_3(t)','Location','NorthWest');
