T1 = @(x) x;
T2 = @(x) 2*x.^2 - 1;
T3 = @(x) 4*x.^3 - 3*x;
T4 = @(x) 8*x.^4 - 8*x.^2 + 1;

plot([-1 1],[1 1],'k','LineWidth',2);
x = -1.0:.05:1.0;
hold on;
plot(x,T1(x),'-',x,T2(x),'-',x,T3(x),'-',x,T4(x),'-');
xlabel('x');
ylabel('T_{i}(x)');
title('The first five Chebyshev polynomials');
legend('T_{0}','T_{1}','T_{2}','T_{3}','T_{4}','Location',....
       'SouthOutside','Orientation','horizontal');
axis([-1 1 -1 1.2]);
hold off;
