x1 = @(t) t+1;
x2 = @(t) 1.0e-10*exp(t)+t+1;

t = 0:0.5:25.0;
plot(t,x1(t),'k',t,x2(t),'k--','LineWidth',2);
xlabel('t','FontSize',14);
ylabel('x_i(t)','FontSize',14);
legend('x_1(t)','x_2(t)','Location','North');
s = {'Solution to Cauchy Problems',...
     'x\prime(t)=x(t)-t, x(0)=1 and x(0)=1+\epsilon, \epsilon=10^{-10}',...
     'x_1(t)=t+1','x_2(t)=\epsilon e^t+t+1'};
title(s);
