a = ones(13,1);
b = -4*ones(14,1);
c = 6*ones(15,1);
d = b;
e = a;
A = diag(a,-2) + diag(b,-1) + diag(c) + diag(d,1) + diag(e,2);
fprintf('The condition number of A = %g\n',cond(A));
rhs = ones(15,1);
[L,U,P] = ludecomp(A);

x1 = [20.00 52.49 91.00 130.00 165.00 192.51 210.00...
      216.00 210.00 192.51 165.00 130.00 91.00 52.49 20.00]';
   
fprintf('Residual for x1 = %g\n',norm(A*x1-rhs));

[xnew, iter] = iterimp(A,L,U,P,rhs,x1,1.0e-5,2);
fprintf('The improved solution has residual %g\n',norm(rhs - A*xnew));
