A = [1 0 0;0 1 0;0 0 1;-1 1 0;-1 0 1;0 -1 1];
b = [2474 3882 4834 1422 2354 950]';

format shortg;

R = chol(A'*A);
disp('Cholesky factor R.');
disp(R);

y = forsolve(R', A'*b);
disp('Solve the lower triangular system R''y = A''b');
disp('y =');
disp(y);
disp('Solve the upper triangular system Rx = y');
x = backsolve(R, y);
disp('x =');
disp(x);
