x = -1.0:0.01:1.0;
V = vandermonde(x,20);
fprintf('The condition number of the Vandermonde matrix is %g\n',cond(V));
[Q, R] = hqr(V);
[QM, RM] = qr(V);
fprintf('norm(V - Q*R) = %g\n',norm(V - Q*R));
fprintf('norm(V - QM*RM) = %g\n',norm(V - QM*RM));
n = size(Q,1);
fprintf('norm(Q''*Q - eye(201)) = %g\n',norm(Q'*Q - eye(n)));
fprintf('norm(QM''*QM - eye(201)) = %g\n',norm(QM'*QM - eye(n)));
