load 'EX18_14.mat'

[U,T] = schur(EX18_14);
disp('In the Schur decomposition, T =');
disp(T);

k = 7;

while k > 2
   if abs(T(k-1,k-2)) < 1.0e-14
      disp('There is a complex conjugate pair or two real eigenvalues');
      disp('In the 2 x 2 block');
      disp(T(k-1:k,k-1:k));
      e = eig(T(k-1:k,k-1:k));
      disp('Eigenvalues');
      disp(e);
      k = k - 2;
   elseif abs(T(k,k-1)) < 1.0e-14
      fprintf('There is one real eigevalue %g\n',T(k,k));
      k = k - 1;
   end
end

if k == 2
   disp('There is a complex conjugate pair or two real eigenvalues');
   disp('in the 2 x 2 block');
   disp(T(1:2,1:2));
   e = eig(T(1:2,1:2));
   disp('Eigenvalues');
   disp(e);
else
   fprintf('There is one real eigevalue %g\n',T(1,1));
end
