format short;

A = randi([-100,100],10,10);
A = triu(A,1);
d = [-1 3 5 9 9 9 6 2 -7 4]';
A = A + diag(d);
disp('Trying to find the largest eigenvalue.');
iterations = [50 100 1000 10000];
for i = 1:length(iterations)
   [lambda,~,iter] = largeeig(A,ones(10,1),1.0e-10,iterations(i));
   fprintf('Iterations = %d, lambda = %f\n',iter,lambda);
end
fprintf('\n');
format long;

disp('Find the smallest eigenvalue using a maximum of 75 iterations');
[lambda,v,iter] = smalleig(A,rand(10,1),1.0e-14,75);
fprintf('Iterations = %d, lambda = %.12f\n',iter,lambda);
