A = [1 1 1;1 2 1;1 1 3];

U = triu(A,1);
D = diag(diag(A));
L = tril(A,-1);

BJ = -inv(D)*(L+U);
rhoBJ = max(abs(eig(BJ)));
fprintf('Spectral radius of BJ = %.4f\n',rhoBJ);

BGS = -inv(L+D)*U;
rhoGS = max(abs(eig(BGS)));
fprintf('Spectral radius of BGS = %.4f\n',rhoGS);

omega = 1.1;
BSOR = inv(D+omega*L)*((1-omega)*D-omega*U);
rhoSOR = max(abs(eig(BSOR)));
fprintf('Spectral radius of BSOR for omega = %.1f is %.4f\n',omega,rhoSOR);
