load 'rdb200.mat';

v = eigs(rdb200);
disp('Two largest eigenvalues in magnitude');
disp(v(1:2)');
fprintf('The ratio abs(lambda_2)/abs(lambda_1) = %.4f\n',abs(v(2)/v(1)));

[lambda, x, iter] = largeeig (rdb200,rand(200,1),1.0e-6,600);
fprintf('lambda found by the power method = %.12f\n',lambda);
fprintf('abs(lambda - v(1)) = %g\n',abs(lambda - v(1)));
