% This code requires the Symbolic Math Toolbox.
syms F;

F = sym([1 1;1 0]);
Finv = inv(F);
[V,D] = eig(F);
F50 = V*diag(diag(D).^50)*inv(V);
% The entries of F50 involve radicals that add to integers. simplify
% does the addition to produce integers.
F50 = simplify(F50);
disp('F50 =');
disp(F50);
